# Uses of Class
org.lwjgl.opencl.CLDevice

Packages that use CLDevice
Package
Description
org.lwjgl.opencl

## Uses of CLDevice in org.lwjgl.opencl

Methods in org.lwjgl.opencl that return CLDevice
Modifier and Type
Method
Description
`CLDevice`
CLCommandQueue.`getCLDevice()`
`CLDevice`
CLPlatform.`getCLDevice(long id)`
Returns a CLDevice that is available on this platform.
`CLDevice[]`
CLProgram.`getInfoDevices()`
Returns an array of CLDevices associated with this program.
`CLDevice`
CLDevice.`getSubCLDevice(long id)`
Returns a sub-device of this device.
Methods in org.lwjgl.opencl that return types with arguments of type CLDevice
Modifier and Type
Method
Description
`List<CLDevice>`
CLPlatform.`getDevices(int device_type)`
Returns a list of the available devices on this platform that match the specified type.
`List<CLDevice>`
CLPlatform.`getDevices(int device_type, Filter<CLDevice> filter)`
Returns a list of the available devices on this platform that match the specified type, filtered by the specified filter.
`List<CLDevice>`
CLContext.`getInfoDevices()`
Returns the list of devices in context.
Methods in org.lwjgl.opencl with parameters of type CLDevice
Modifier and Type
Method
Description
`static int`
CL10.`clBuildProgram(CLProgram program, CLDevice device, CharSequence options, CLBuildProgramCallback pfn_notify)`
Overloads clBuildProgram.
`static CLCommandQueue`
CL10.`clCreateCommandQueue(CLContext context, CLDevice device, long properties, IntBuffer errcode_ret)`
`static CLContext`
CL10.`clCreateContext(PointerBuffer properties, CLDevice device, CLContextCallback pfn_notify, IntBuffer errcode_ret)`
Overloads clCreateContext.
`static CLProgram`
CL10.`clCreateProgramWithBinary(CLContext context, CLDevice device, ByteBuffer binary, IntBuffer binary_status, IntBuffer errcode_ret)`
`static int`
CL12.`clCreateSubDevices(CLDevice in_device, LongBuffer properties, PointerBuffer out_devices, IntBuffer num_devices_ret)`
`static int`
EXTDeviceFission.`clCreateSubDevicesEXT(CLDevice in_device, LongBuffer properties, PointerBuffer out_devices, IntBuffer num_devices)`
`static int`
CL10.`clGetDeviceInfo(CLDevice device, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
KHRSubgroups.`clGetKernelSubGroupInfoKHR(CLKernel kernel, CLDevice device, int param_name, ByteBuffer input_value, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
CL10.`clGetKernelWorkGroupInfo(CLKernel kernel, CLDevice device, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
CL10.`clGetProgramBuildInfo(CLProgram program, CLDevice device, int param_name, ByteBuffer param_value, PointerBuffer param_value_size_ret)`
`static int`
CL12.`clReleaseDevice(CLDevice device)`
Warning: LWJGL will not automatically release any objects associated with sub-devices.
`static int`
EXTDeviceFission.`clReleaseDeviceEXT(CLDevice device)`
Warning: LWJGL will not automatically release any objects associated with sub-devices.
`static int`
CL12.`clRetainDevice(CLDevice device)`
`static int`
EXTDeviceFission.`clRetainDeviceEXT(CLDevice device)`
`int`
CLProgram.`getBuildInfoInt(CLDevice device, int param_name)`
Returns the integer value of the specified parameter.
`String`
CLProgram.`getBuildInfoString(CLDevice device, int param_name)`
Returns the String value of the specified parameter.
`static CLDeviceCapabilities`
CLCapabilities.`getDeviceCapabilities(CLDevice device)`
`long`
CLKernel.`getWorkGroupInfoLong(CLDevice device, int param_name)`
Returns the long value of the specified parameter.
`long`
CLKernel.`getWorkGroupInfoSize(CLDevice device, int param_name)`
Returns the size_t value of the specified parameter.
`long[]`
CLKernel.`getWorkGroupInfoSizeArray(CLDevice device, int param_name)`
Returns an array of size_t values of the specified parameter.
Method parameters in org.lwjgl.opencl with type arguments of type CLDevice
Modifier and Type
Method
Description
`static CLContext`
CLContext.`create(CLPlatform platform, List<CLDevice> devices, IntBuffer errcode_ret)`
Creates a new CLContext.
`static CLContext`
CLContext.`create(CLPlatform platform, List<CLDevice> devices, CLContextCallback pfn_notify, IntBuffer errcode_ret)`
Creates a new CLContext.
`static CLContext`
CLContext.`create(CLPlatform platform, List<CLDevice> devices, CLContextCallback pfn_notify, Drawable share_drawable, IntBuffer errcode_ret)`
Creates a new CLContext.
`List<CLDevice>`
CLPlatform.`getDevices(int device_type, Filter<CLDevice> filter)`
Returns a list of the available devices on this platform that match the specified type, filtered by the specified filter.
Constructors in org.lwjgl.opencl with parameters of type CLDevice
Modifier
Constructor
Description
``
`CLDeviceCapabilities(CLDevice device)`